/*********************************************************************************
 *
 * Razor! Engine - A modular C++ presentation engine
 *
 * $Id: RazorSections.h,v 1.2 2003/02/15 11:57:56 teacy Exp $
 *
 * Copyright (c) 2002 Tilo Christ. All Rights Reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a 
 * copy of this software and associated documentation files (the  "Software"), 
 * to deal in the Software without restriction, including without limitation 
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, 
 * and/or sell copies of the Software, and to permit persons to whom the Software 
 * is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all 
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, 
 * INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR 
 * PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE 
 * FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, 
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 **********************************************************************************/

#ifndef _RAZOR_SECTIONS_H
#define _RAZOR_SECTIONS_H

// PRC-Tools requires explicitly declared sections in the source code
#ifdef __GNUC__
#define SEC_RAZOR_INIT __attribute__ ((section("SEC_RZRI")))
#define SEC_RAZOR __attribute__ ((section("SEC_RZR")))
#define SEC_GAME __attribute__ ((section("SEC_GAME")))
#else
// All other compilers will happily accept externally defined section information
#define SEC_RAZOR_INIT
#define SEC_RAZOR
#define SEC_GAME

#endif

#endif
